<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <!-- The core Firebase JS SDK is always required and must be listed first -->
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>

        <script>
            // Your web app's Firebase configuration
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            // Initialize Firebase
            firebase.initializeApp(firebaseConfig);
        </script>
        <style>
            body{
                height: 100vh;
                width: 100vw;
                margin: 0;
            }
            #nav-bar {
                /* margin-top: 20px; */
                position: fixed;
                background-color: white;
                height: 69px;
                width: 375px;
                text-align: center;
                display: flex;
            }
            .fa-chevron-left {
                font-size: 25px;
            }
            #rectangle {
                height: 69px;
                width: 375px;
                background-color: #FFF;
            }
            #gadaad-kino {
                height: 21px;
                width: 200px;
                color: #000;
                font-family: 'Montserrat', sans-serif;
                font-size: 21px;
                font-size: 21px;
                font-weight: 700;
                letter-spacing: 1.38px;
                line-height: 21px;
                text-align: center;
                margin-top: 21px;
            }
            #path {
                box-sizing: border-box;
                height: 9px;
                width: 9px;
                border: 3px solid #808080;
                transform: scaleY(-1);
            }
            #path-1{
                box-sizing: border-box;
                height: 9px;
                width: 9px;
                border: 3px solid #808080;
            }
            #icon-back {
                height: 69px;
                width: 85px;
                background-color: #FFF;
                display: flex;
                align-items: center;
                justify-content: center;
            }

            #L0 {
                padding-top: 62px;
            }
            .quiz-img {
                width: 72px;
                height: 72px;
                background-size: cover;
                border-radius: 15px; 
            }
            .level {
                height: 94px;
                width: 73px;
                text-align: center;
                font-family: "SF Pro Display";
                font-size: 12px;
                letter-spacing: 0.92px;
            }
            .level-line{
                display: flex;
                justify-content: space-between;
                margin-left: 47px;
                margin-right: 47px;
            }
            #level-bar{
                display: flex;
                flex-direction: column;
            }
</style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="icon-back">
                <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
            </div>
            <div id="gadaad-kino">GADAAD_KINO</div>
        </div>
        <div id="level-bar"></div>
        <script>
            let currLevelEl;
            let quizCount = 0;
            function get_img(tmp, elId) {
                var storage = firebase.storage();
                let storageRef = storage.ref( '/' );
                storageRef.child(`Movies/gadaad_mv/${tmp}.jpg`).getDownloadURL().then(function(url) {
                    let currButton = document.getElementById(elId);
                    let status = 'taagaagui';
                    currButton.innerHTML = `${status}<img class="quiz-img" src="${url}"></img>`;
                }).catch(function(error) {
                    // Handle any errors
                });
            }

            for (let i = 0; i < 40; i++) {
                let currId = add_quiz();
                get_img(i+1, currId);
            }

            function add_quiz(){
                quizCount++;
                let quizButton = document.createElement('button');
                quizButton.onclick = quiz;
                // console.log( quizButton.onclick );
                // quizButton.onclick = 'quiz("121")';
                quizButton.classList.add('level');
                quizButton.id = `quiz${quizCount}`;

                if( quizCount % 3 == 1 ){
                    currLevelEl = document.createElement('div');
                    currLevelEl.classList.add('level-line');
                    if( quizCount == 1 ){
                        currLevelEl.id = 'L0';
                    }
                    document.getElementById('level-bar').appendChild(currLevelEl);
                }

                currLevelEl.appendChild(quizButton);

                return `quiz${quizCount}`;
            }

            function back_icon() {
                window.location.href = "movie_menu.html";
            }
            function quiz() {
                window.location.href = "gadaad_kino_quizs.html";
            }
        </script>
    </body>
</html>